curl --request GET \
--url https://api.cadanapay.com/v1/users/{userId} \
--header 'Authorization: Bearer <token>'{
"firstName": "John",
"lastName": "Doe",
"email": "<string>",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"metadata": {
"customField1": "value1",
"customField2": "value2"
},
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"status": "active"
}Fetch a user’s details
curl --request GET \
--url https://api.cadanapay.com/v1/users/{userId} \
--header 'Authorization: Bearer <token>'{
"firstName": "John",
"lastName": "Doe",
"email": "<string>",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"metadata": {
"customField1": "value1",
"customField2": "value2"
},
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"status": "active"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the user
get user response
Person's first name
"John"
Person's last name
"Doe"
Person's email
Person's phone number
Show child attributes
Optional metadata you can store as key-value pairs
{
"customField1": "value1",
"customField2": "value2"
}"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
kyc status
invitation_sent, blocked "active"